<div class="mainwrapper">
  <div class="leftwrapper">
    <div class="form">
      <h2>Patient Informations</h2>
      <div class="topline">
        <div class="p-inputgroup">
          <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
          <input
            type="text"
            pInputText
            placeholder="First Name"
            [(ngModel)]="patient.prenom"
          />
        </div>
        <div class="p-inputgroup">
          <input
            type="text"
            pInputText
            placeholder="Last Name"
            [(ngModel)]="patient.nom"
          />
        </div>

        <div class="radiowrapper">
          <div class="radio">
            <p-radioButton
              [value]="'M'"
              [(ngModel)]="patient.genre"
            ></p-radioButton>
            <label class="ml-2">Male</label>
          </div>
          <div class="radio">
            <p-radioButton
              [value]="'F'"
              [(ngModel)]="patient.genre"
            ></p-radioButton>
            <label class="ml-2">Female</label>
          </div>
        </div>
      </div>

      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-calendar"></i></span>
        <p-calendar
          dateFormat="yyyy-mm-dd"
          [(ngModel)]="patient.datedenaissance"
          pInputText
          placeholder="Birth date"
        ></p-calendar>
      </div>
      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-home"></i></span>
        <input
          type="text"
          pInputText
          placeholder="Address"
          [(ngModel)]="patient.adresse"
        />
      </div>

      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-phone"></i></span>
        <input
          type="text"
          pInputText
          placeholder="Phone number"
          [(ngModel)]="patient.telephone"
        />
      </div>

      <p-button
        label="Edit patient"
        styleClass="p-button-outlined"
        (click)="editPatient()"
      >
      </p-button>
    </div>
  </div>
  <div class="rightwrapper">
    <div class="topwrapper">
      <h1>Edit patient</h1>
      <p class="whitetext">Edit your patients personal informations</p>
    </div>
    <div class="bottomwrapper">
      <p class="whitesubtext">Everything is fine ?</p>
      <p-button
        label="Go back"
        styleClass="p-button-outlined"
        [routerLink]="['/home/patient', patient.id]"
      ></p-button>
    </div>
  </div>
</div>
